PDA

View Full Version : beagle-search error gtk-sharp



josvanbeersel
20th May 2007, 01:46 AM
After upgrading mono 1.2.4 my beagle wouldn't compile and or run.
now i decided to downgrade my mono and beagle again.
but after downgrading mono to 1.1 and beagle to 0.2.13 beagle will not run anymore

it gives the following error:


** (/usr/lib64/beagle/Search.exe:3947): WARNING **: The following assembly referenced from /usr/lib64/beagle/Search.exe could not be loaded:
Assembly: gtk-sharp (assemblyref_index=0)
Version: 2.10.0.0
Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib64/beagle).


** (/usr/lib64/beagle/Search.exe:3947): WARNING **: Could not load file or assembly 'gtk-sharp, Version=2.10.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
The entry point method could not be loaded

hopefully someone knows whats wrong ...

Jman
21st May 2007, 01:17 AM
You upgraded and downgraded how? With what rpms or built from source?

Beagle works fine here with all Fedora rpms:
beagle-0.2.13-1.fc6
mono-core-1.1.17.1-4.fc6
gtk-sharp2-2.10.0-3.fc6